Index: mibs/d-link/DES-1210-28ME_B2
===================================================================
--- mibs/d-link/DES-1210-28ME_B2	(revision 11288)
+++ mibs/d-link/DES-1210-28ME_B2	(working copy)
@@ -8506,6 +13200,616 @@
                 be deleted when this object is SET 'destroy'."
            ::= { cpuFilterL3RuleEntry 27 }
 
+
+        -- L3 IPv6 Filter Group --------------------------------------------------
+         
+        cpuFilterv6L3RuleTable OBJECT-TYPE 
+           SYNTAX      SEQUENCE OF CpuFilterv6L3RuleEntry
+           MAX-ACCESS  not-accessible 
+           STATUS      current 
+           DESCRIPTION 
+               " A table to configure L3 filter rules in the system.
+               "
+           ::= { cpuFilterL3Rule 2 }
+
+        cpuFilterv6L3RuleEntry OBJECT-TYPE 
+           SYNTAX      CpuFilterv6L3RuleEntry
+           MAX-ACCESS  not-accessible 
+           STATUS      current 
+           DESCRIPTION 
+               " Each entry in this table is a L3 filter rule.
+                 Index to the table is L3 filter number and Profile ID."
+           INDEX { cpuFilterv6L3RuleProfileNo, cpuFilterv6L3RuleAccessID}
+           ::= { cpuFilterv6L3RuleTable 1 }
+
+        CpuFilterv6L3RuleEntry ::= 
+           SEQUENCE { 
+              cpuFilterv6L3RuleProfileNo 
+                 Integer32, 
+              cpuFilterv6L3RuleAccessID 
+                 Integer32,
+              cpuFilterv6L3RuleProtocol  
+                 INTEGER, 
+              cpuFilterv6L3RuleProtocolMask  
+                 OCTET STRING, 
+              cpuFilterv6L3RuleICMPMessageType 
+                 Integer32, 
+              cpuFilterv6L3RuleICMPMessageCode 
+                 Integer32, 
+              cpuFilterv6L3RuleDstIpAddr 
+                 Ipv6Address, 
+              cpuFilterv6L3RuleSrcIpAddr 
+                 Ipv6Address, 
+              cpuFilterv6L3RuleDstIpAddrMask 
+                 Ipv6Address, 
+              cpuFilterv6L3RuleSrcIpAddrMask 
+                 Ipv6Address,
+              cpuFilterv6L3RuleTcpUdpDstPort
+                 Integer32, 
+              cpuFilterv6L3RuleTcpUdpSrcPort
+                 Integer32, 
+              cpuFilterv6L3RuleTcpUdpDstPortMask
+                OCTET STRING,         
+              cpuFilterv6L3RuleTcpUdpSrcPortMask
+                OCTET STRING,         
+              cpuFilterv6L3RuleTcpAckBit
+                 INTEGER,
+              cpuFilterv6L3RuleTcpRstBit
+                 INTEGER,
+              cpuFilterv6L3RuleTcpUrgBit
+                 INTEGER,
+              cpuFilterv6L3RuleTcpPshBit
+                 INTEGER,
+              cpuFilterv6L3RuleTcpSynBit
+                 INTEGER,
+              cpuFilterv6L3RuleTcpFinBit
+                 INTEGER,
+              cpuFilterv6L3RuleTrafficClass
+                 Integer32,
+              cpuFilterv6L3RulePortList 
+                 PortList,
+              cpuFilterv6L3RuleAction 
+                 INTEGER, 
+              cpuFilterv6L3RuleStatus
+                 RowStatus
+          }
+        
+        cpuFilterv6L3RuleProfileNo OBJECT-TYPE 
+           SYNTAX      Integer32 (1..5)
+           MAX-ACCESS  read-only 
+           STATUS      current 
+           DESCRIPTION 
+              "L3 Filter rule ID."
+           ::= { cpuFilterv6L3RuleEntry 1 }
+            
+        cpuFilterv6L3RuleAccessID OBJECT-TYPE 
+           SYNTAX      Integer32 (1..3)
+           MAX-ACCESS  read-only  
+           STATUS      current 
+           DESCRIPTION 
+              "The Profile ID which this rule join."
+           ::= { cpuFilterv6L3RuleEntry 2 }
+              
+        cpuFilterv6L3RuleProtocol OBJECT-TYPE 
+           SYNTAX      INTEGER  {     
+                                         icmp(1),
+                                         tcp(6),
+                                         udp(17),
+                                         ipv6(41)
+                        } 
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              " The type of protocol to be checked against the packet."
+           ::= { cpuFilterv6L3RuleEntry 3 }
+           
+        cpuFilterv6L3RuleProtocolMask OBJECT-TYPE 
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-only 
+           STATUS      current 
+           DESCRIPTION 
+              "The IP protocol mask.
+               This field is read-only and copy from it's Profile setting.
+               It will work with the other field,cpuFilterL3RuleProtocol, 
+               to caculate a range of IP protocol which is really care.
+               The value is in HEX format.
+              "
+           DEFVAL  { 'FF'h }   
+           ::= { cpuFilterv6L3RuleEntry 4 }
+
+        cpuFilterv6L3RuleICMPMessageType OBJECT-TYPE 
+           SYNTAX      Integer32 (-1..255)
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+             " The message type to be checked against the packet. If the
+              message type matches with the packet, then the packet will be
+              dropped / allowed based on the action set in cpuFilterL3RuleAction.
+              The default value is '-1',which means the rule don't care this 
+              condition.
+              Some ICMP message types are: 
+                   echoReply(0),
+                   destinationUnreachable(3),
+                   sourceQuench(4),
+                   redirect(5),
+                   echoRequest(8),
+                   timeExceeded(11),
+                   parameterProblem(12),
+                   timestampRequest(13),
+                   timestampReply(14),
+                   informationRequest(15),
+                   informationReply(16),
+                   addressMaskRequest(17),
+                   addressMaskReply (18),
+              "
+           DEFVAL  { -1 }
+           ::= { cpuFilterv6L3RuleEntry 5 }
+        
+        cpuFilterv6L3RuleICMPMessageCode OBJECT-TYPE 
+           SYNTAX      Integer32 (-1..255)
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              " The message code to be checked against the packet. If the
+              packet matches with the message code, then the packet will
+              be dropped / allowed based on the action set in cpuFilterL3RuleAction.
+              The default value is '-1', which means the rule don't care this 
+              condition.
+              Some ICMP message codes are :
+                   networkUnreachable(0),
+                   hostUnreachable(1),
+                   protocolUnreachable(2),
+                   portUnreachable(3),
+                   fragmentNeed(4),
+                   sourceRouteFail(5),
+                   destNetworkUnknown(6),
+                   destHostUnknown(7),
+                   srcHostIsolated(8),
+                   destNetworkAdminProhibited(9),
+                   destHostAdminProhibited(10),
+                   networkUnreachableTOS(11),
+                   hostUnreachableTOS(12),
+              "
+           DEFVAL   { -1 }
+           ::= { cpuFilterv6L3RuleEntry 6 }
+
+        cpuFilterv6L3RuleDstIpAddr OBJECT-TYPE 
+           SYNTAX      Ipv6Address
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "Destination IP address to be matched with the packet.
+               The default value will be zero, which means the rule 
+               don't care this condition."
+           DEFVAL  { '00000000'h }
+           ::= { cpuFilterv6L3RuleEntry 7 }
+        
+        cpuFilterv6L3RuleSrcIpAddr OBJECT-TYPE 
+           SYNTAX      Ipv6Address
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "Source IP address to be matched with the packet.
+              The default value will be zero, which means the 
+              rule don't care this condition."
+
+           DEFVAL  { '00000000'h }
+           ::= { cpuFilterv6L3RuleEntry 8 }
+        
+        cpuFilterv6L3RuleDstIpAddrMask OBJECT-TYPE 
+           SYNTAX      Ipv6Address
+           MAX-ACCESS  read-only 
+           STATUS      current 
+           DESCRIPTION 
+              "The IP subnet mask for Destination IP address.
+               This field is read-only and copy from it's Profile setting.
+              "
+
+           DEFVAL  { 'FFFFFFFF'h }
+           ::= { cpuFilterv6L3RuleEntry 9 }
+        
+        cpuFilterv6L3RuleSrcIpAddrMask OBJECT-TYPE 
+           SYNTAX      Ipv6Address
+           MAX-ACCESS  read-only 
+           STATUS      current 
+           DESCRIPTION 
+              "The IP subnet mask for Source IP address.
+               This field is read-only and copy from it's Profile setting.
+              "
+           
+           DEFVAL  { 'FFFFFFFF'h }
+           ::= { cpuFilterv6L3RuleEntry 10 }
+
+        cpuFilterv6L3RuleTcpUdpDstPort OBJECT-TYPE
+           SYNTAX      Integer32 (-1..65535)
+           MAX-ACCESS  read-write
+           STATUS      current
+           DESCRIPTION
+              "The TCP / UDP destination port. The default value is -1, 
+              which means the rule don't care this condition."
+           DEFVAL   { -1 }
+           ::= { cpuFilterv6L3RuleEntry 11 }
+        
+        cpuFilterv6L3RuleTcpUdpSrcPort OBJECT-TYPE
+           SYNTAX      Integer32 (-1..65535)
+           MAX-ACCESS  read-write
+           STATUS      current
+           DESCRIPTION
+              "The TCP / UDP source port. The default value is -1, 
+              which means the rule don't care this condition."
+           DEFVAL   { -1 }
+           ::= { cpuFilterv6L3RuleEntry 12 }
+           
+        cpuFilterv6L3RuleTcpUdpDstPortMask OBJECT-TYPE
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
+              "The TCP / UDP Destination port Mask.
+               This field is read-only and copy from it's Profile setting.
+              "
+           ::= { cpuFilterv6L3RuleEntry 13 }
+
+        cpuFilterv6L3RuleTcpUdpSrcPortMask OBJECT-TYPE
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
+              "The TCP / UDP Source port Mask.
+               This field is read-only and copy from it's Profile setting.
+              "
+           ::= { cpuFilterv6L3RuleEntry 14 } 
+           
+        cpuFilterv6L3RuleTcpAckBit                OBJECT-TYPE
+                SYNTAX  INTEGER {
+                                    dontcare(-1),
+                                                        establish(1),
+                                                        notEstablish(2)
+                                                }
+                MAX-ACCESS      read-create
+                STATUS          current
+                DESCRIPTION
+                        " The TCP ACK bit to be checked against the packet. The default 
+                        value is 'dontcare'(-1), which means the rule don't care this 
+                        condition."
+                DEFVAL  { dontcare }
+                ::= { cpuFilterv6L3RuleEntry 15 }
+        
+        cpuFilterv6L3RuleTcpRstBit         OBJECT-TYPE
+                SYNTAX  INTEGER {
+                                    dontcare(-1),
+                                                        establish(1),
+                                                        notEstablish(2)
+                                                }
+                MAX-ACCESS      read-create
+                STATUS          current
+                DESCRIPTION
+                        " The TCP RST bit to be checked against the packet. The default 
+                        value is 'dontcare'(-1), which means the rule don't care this 
+                        condition."
+                DEFVAL  { dontcare }
+                ::= { cpuFilterv6L3RuleEntry 16 }
+        
+        cpuFilterv6L3RuleTcpUrgBit         OBJECT-TYPE
+                SYNTAX  INTEGER {
+                                    dontcare(-1),
+                                                        establish(1),
+                                                        notEstablish(2)
+                                                }
+                MAX-ACCESS      read-create
+                STATUS          current
+                DESCRIPTION
+                        " The TCP Urg bit to be checked against the packet. The default 
+                        value is 'dontcare'(-1), which means the rule don't care this 
+                        condition."
+                DEFVAL  { dontcare }
+                ::= { cpuFilterv6L3RuleEntry 17 }
+                
+        cpuFilterv6L3RuleTcpPshBit         OBJECT-TYPE
+                SYNTAX  INTEGER {
+                                    dontcare(-1),
+                                                        establish(1),
+                                                        notEstablish(2)
+                                                }
+                MAX-ACCESS      read-create
+                STATUS          current
+                DESCRIPTION
+                        " The TCP Psh bit to be checked against the packet. The default 
+                        value is 'dontcare'(-1). which means the rule don't care this 
+                        condition."
+                DEFVAL  { dontcare }
+                ::= { cpuFilterv6L3RuleEntry 18 } 
+        
+        cpuFilterv6L3RuleTcpSynBit         OBJECT-TYPE
+                SYNTAX  INTEGER {
+                                    dontcare(-1),
+                                                        establish(1),
+                                                        notEstablish(2)
+                                                }
+                MAX-ACCESS      read-create
+                STATUS          current
+                DESCRIPTION
+                        " The TCP Syn bit to be checked against the packet. The default 
+                        value is 'dontcare'(-1), which means the rule don't care this condition."
+                DEFVAL  { dontcare }
+                ::= { cpuFilterv6L3RuleEntry 19 }
+
+        cpuFilterv6L3RuleTcpFinBit         OBJECT-TYPE
+                SYNTAX  INTEGER {
+                                    dontcare(-1),
+                                                        establish(1),
+                                                        notEstablish(2)
+                                                }
+                MAX-ACCESS      read-create
+                STATUS          current
+                DESCRIPTION
+                        " The TCP Fin bit to be checked against the packet. The default 
+                        value is 'dontcare'(-1), which means the rule don't care this 
+                        condition."
+                DEFVAL  { dontcare }
+                ::= { cpuFilterv6L3RuleEntry 20 }
+        
+        cpuFilterv6L3RuleTrafficClass             OBJECT-TYPE
+                SYNTAX          Integer32 (-1..63)
+                MAX-ACCESS      read-create
+                STATUS          current
+                DESCRIPTION
+                        " The IP Dscp value to be checked against the packet. 
+                A default value is '-1', which means the rule don't 
+                care this condition."
+                DEFVAL  { -1 }
+                ::= { cpuFilterv6L3RuleEntry 21 }
+           
+        cpuFilterv6L3RulePortList OBJECT-TYPE 
+           SYNTAX      PortList
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "Specifies the complete set of ports over which if the packet arrives
+              this filter rule will be applicable."
+
+           ::= { cpuFilterv6L3RuleEntry 22 }
+
+        cpuFilterv6L3RuleAction OBJECT-TYPE 
+           SYNTAX      INTEGER {
+                          allow (1)
+                          ,drop  (2)
+                       }
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "Specifies the action to be taken on the packet if the filter
+              rule matches."
+           DEFVAL  { allow } 
+           ::= { cpuFilterv6L3RuleEntry 23 }
+
+        cpuFilterv6L3RuleStatus OBJECT-TYPE 
+           SYNTAX      RowStatus
+           MAX-ACCESS  read-create 
+           STATUS      current 
+           DESCRIPTION 
+                "This object indicates the status of this entry. An entry is
+                created in this table when this object is SET to 'createAndWait'.
+                The entry in this table is used when the status of this object 
+                is SET 'active'. The entry in this table is not used when this 
+                object is SET 'notInService'. An entry created in this table is
+                be deleted when this object is SET 'destroy'."
+           ::= { cpuFilterv6L3RuleEntry 24 }
+
+
+        -- ------------------------------------------------------------------ 
+        -- Udf Filter Group --------------------------------------------------
+        cpuFilterUdfRule       OBJECT IDENTIFIER ::= { companyCPUInterfaceFilterGroup 4 }
+         
+        cpuFilterUdfRuleTable OBJECT-TYPE 
+           SYNTAX      SEQUENCE OF CpuFilterUdfRuleEntry
+           MAX-ACCESS  not-accessible 
+           STATUS      current 
+           DESCRIPTION 
+               " A table to configure Udf filter rules in the system.
+               "
+           ::= { cpuFilterUdfRule 1 }
+
+        cpuFilterUdfRuleEntry OBJECT-TYPE 
+           SYNTAX      CpuFilterUdfRuleEntry
+           MAX-ACCESS  not-accessible 
+           STATUS      current 
+           DESCRIPTION 
+               " Each entry in this table is a Udf filter rule.
+                 Index to the table is Udf filter number and Profile ID."
+           INDEX { cpuFilterUdfRuleProfileNo, cpuFilterUdfRuleAccessID}
+           ::= { cpuFilterUdfRuleTable 1 }
+
+        CpuFilterUdfRuleEntry ::= 
+           SEQUENCE { 
+              cpuFilterUdfRuleProfileNo 
+                 Integer32, 
+              cpuFilterUdfRuleAccessID 
+                 Integer32,
+              cpuFilterUdfRuleOffset1  
+                 OCTET STRING, 
+              cpuFilterUdfRuleOffset2  
+                 OCTET STRING, 
+              cpuFilterUdfRuleOffset3
+                 OCTET STRING, 
+              cpuFilterUdfRuleOffset4
+                 OCTET STRING, 
+              cpuFilterUdfRuleOffset5
+                 OCTET STRING, 
+              cpuFilterUdfRuleOffset1Mask
+                 OCTET STRING, 
+              cpuFilterUdfRuleOffset2Mask
+                 OCTET STRING, 
+              cpuFilterUdfRuleOffset3Mask
+                 OCTET STRING, 
+              cpuFilterUdfRuleOffset4Mask
+                 OCTET STRING, 
+              cpuFilterUdfRuleOffset5Mask
+                 OCTET STRING, 
+              cpuFilterUdfRulePortList 
+                 PortList,
+              cpuFilterUdfRuleAction 
+                 INTEGER, 
+              cpuFilterUdfRuleStatus
+                 RowStatus
+          }
+        
+        cpuFilterUdfRuleProfileNo OBJECT-TYPE 
+           SYNTAX      Integer32 (1..5)
+           MAX-ACCESS  read-only 
+           STATUS      current 
+           DESCRIPTION 
+              "Udf Filter rule ID."
+           ::= { cpuFilterUdfRuleEntry 1 }
+            
+        cpuFilterUdfRuleAccessID OBJECT-TYPE 
+           SYNTAX      Integer32 (1..3)
+           MAX-ACCESS  read-only  
+           STATUS      current 
+           DESCRIPTION 
+              "The Profile ID which this rule join."
+           ::= { cpuFilterUdfRuleEntry 2 }
+
+        cpuFilterUdfRuleOffset1 OBJECT-TYPE 
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "The filter value of Offset 1."
+           
+           ::= { cpuFilterUdfRuleEntry 3 }
+
+        cpuFilterUdfRuleOffset2 OBJECT-TYPE 
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "The filter value of Offset 2."
+           
+           ::= { cpuFilterUdfRuleEntry 4 }
+
+        cpuFilterUdfRuleOffset3 OBJECT-TYPE 
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "The filter value of Offset 3."
+           
+           ::= { cpuFilterUdfRuleEntry 5 }
+
+        cpuFilterUdfRuleOffset4 OBJECT-TYPE 
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "The filter value of Offset 4."
+           
+           ::= { cpuFilterUdfRuleEntry 6 }
+
+        cpuFilterUdfRuleOffset5 OBJECT-TYPE 
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "The filter value of Offset 5."
+           
+           ::= { cpuFilterUdfRuleEntry 7 }
+
+        cpuFilterUdfRuleOffset1Mask OBJECT-TYPE 
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-only
+           STATUS      current 
+           DESCRIPTION 
+              "The filter Mask of Offset 1."
+           
+           ::= { cpuFilterUdfRuleEntry 8 }
+
+        cpuFilterUdfRuleOffset2Mask OBJECT-TYPE 
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-only
+           STATUS      current 
+           DESCRIPTION 
+              "The filter Mask of Offset 2."
+           
+           ::= { cpuFilterUdfRuleEntry 9 }
+
+        cpuFilterUdfRuleOffset3Mask OBJECT-TYPE 
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-only
+           STATUS      current 
+           DESCRIPTION 
+              "The filter Mask of Offset 3."
+           
+           ::= { cpuFilterUdfRuleEntry 10 }
+
+        cpuFilterUdfRuleOffset4Mask OBJECT-TYPE 
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-only
+           STATUS      current 
+           DESCRIPTION 
+              "The filter Mask of Offset 4."
+           
+           ::= { cpuFilterUdfRuleEntry 11 }
+
+        cpuFilterUdfRuleOffset5Mask OBJECT-TYPE 
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-only
+           STATUS      current 
+           DESCRIPTION 
+              "The filter Mask of Offset 5."
+           
+           ::= { cpuFilterUdfRuleEntry 12 }
+
+        cpuFilterUdfRulePortList OBJECT-TYPE 
+           SYNTAX      PortList
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "Specifies the complete set of ports over which if the packet arrives
+              this filter rule will be applicable."
+
+           ::= { cpuFilterUdfRuleEntry 13 }
+
+        cpuFilterUdfRuleAction OBJECT-TYPE 
+           SYNTAX      INTEGER {
+                          allow (1)
+                         ,drop  (2)
+                       }
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "Specifies the action to be taken on the packet if the filter
+              rule matches."
+           DEFVAL  { allow } 
+
+           ::= { cpuFilterUdfRuleEntry 14 }
+
+        cpuFilterUdfRuleStatus OBJECT-TYPE 
+           SYNTAX      RowStatus
+           MAX-ACCESS  read-create 
+           STATUS      current 
+           DESCRIPTION 
+                "This object indicates the status of this entry. An entry is
+                created in this table when this object is SET to 'createAndWait'.
+                The entry in this table is used when the status of this object 
+                is SET 'active'. The entry in this table is not used when this 
+                object is SET 'notInService'. An entry created in this table is
+                be deleted when this object is SET 'destroy'."
+           ::= { cpuFilterUdfRuleEntry 15 }
+
+        cpuFilterState  OBJECT-TYPE
+        SYNTAX       INTEGER {
+                     enable(1),
+                     disable(2)
+                    }
+        MAX-ACCESS  read-write
+        STATUS      current
+        DESCRIPTION
+             "This object is used for enabling or disabling CPU Interface Filter in the system."
+
+        DEFVAL  { disable }
+        ::= { companyCPUInterfaceFilterGroup 5 }
+
       snmpGlobalState OBJECT-TYPE
            SYNTAX      INTEGER {
                           enabled(1),
@@ -9068,7 +14372,7 @@
             }
 
         snmpV3CommunityName OBJECT-TYPE
-            SYNTAX      OCTET STRING
+            SYNTAX      OCTET STRING (SIZE (1..15))
             MAX-ACCESS  read-only
             STATUS      current
             DESCRIPTION
@@ -9108,6 +14412,78 @@
       -- The snmpV3Host group
       -- ----------------------------------------------------------------
 
+        ipv4snmpV3HostTable OBJECT-TYPE
+           SYNTAX SEQUENCE OF Ipv4snmpV3HostEntry
+           MAX-ACCESS not-accessible
+           STATUS     obsolete
+           DESCRIPTION
+              ""
+           ::= { snmpV3Host 1 }
+
+        ipv4snmpV3HostEntry OBJECT-TYPE
+           SYNTAX      Ipv4snmpV3HostEntry
+           MAX-ACCESS  not-accessible
+           STATUS      obsolete
+           DESCRIPTION
+              ""
+           INDEX { ipv4snmpV3HostAddress }
+           ::= { ipv4snmpV3HostTable 1 }
+
+        Ipv4snmpV3HostEntry ::= SEQUENCE
+            {
+                ipv4snmpV3HostAddress           IpAddress,
+                ipv4snmpV3HostCommunityName     SnmpAdminString,
+                ipv4snmpV3HostVersion           INTEGER,
+                ipv4snmpV3HostStatus            RowStatus
+            }
+
+        ipv4snmpV3HostAddress OBJECT-TYPE
+               SYNTAX      IpAddress
+               MAX-ACCESS  read-only
+               STATUS      obsolete
+               DESCRIPTION
+                   "This object contains a transport address.  The format of
+                    this address depends on the value of the
+                    snmpTargetAddrTDomain object. And this object is unique
+                    identifier associated with this snmpNotifyEntry."
+               ::= { ipv4snmpV3HostEntry 1 }
+
+        ipv4snmpV3HostCommunityName OBJECT-TYPE
+               SYNTAX      SnmpAdminString (SIZE(1..32))
+               MAX-ACCESS  read-create
+               STATUS      obsolete
+               DESCRIPTION
+                   "The locally arbitrary."
+               ::= { ipv4snmpV3HostEntry 2 }
+
+
+        ipv4snmpV3HostVersion OBJECT-TYPE
+               SYNTAX    INTEGER {
+                      v1                (1),
+                      v2c	            (2),
+                      v3NoAuthNoPriv    (3),
+                      v3AuthNoPriv      (4),
+                      v3AuthPriv        (5)
+                   }
+               MAX-ACCESS  read-create
+               STATUS      obsolete
+               DESCRIPTION
+                   "The Level of Security to be used when generating
+                    SNMP messages using this entry."
+               ::= { ipv4snmpV3HostEntry 3 }
+
+        ipv4snmpV3HostStatus OBJECT-TYPE
+               SYNTAX       RowStatus
+               MAX-ACCESS   read-create
+               STATUS       obsolete
+               DESCRIPTION
+                ""
+               ::= { ipv4snmpV3HostEntry 4 }
+
+      -- ----------------------------------------------------------------
+      -- The snmpV3Host group
+      -- ----------------------------------------------------------------
+
         snmpV3HostTable OBJECT-TYPE
            SYNTAX SEQUENCE OF SnmpV3HostEntry
            MAX-ACCESS not-accessible
@@ -9114,7 +14490,7 @@
            STATUS     current
            DESCRIPTION
               ""
-           ::= { snmpV3Host 1 }
+           ::= { snmpV3Host 2 }
 
         snmpV3HostEntry OBJECT-TYPE
            SYNTAX      SnmpV3HostEntry
@@ -9122,28 +14498,41 @@
            STATUS      current
            DESCRIPTION
               ""
-           INDEX { snmpV3HostAddress }
+           INDEX { snmpV3HostAddress, snmpV3IPType }
            ::= { snmpV3HostTable 1 }
-
+              
         SnmpV3HostEntry ::= SEQUENCE
-            {
-                snmpV3HostAddress           IpAddress,
+            {                
+                snmpV3HostAddress           Ipv6Address,
+                snmpV3IPType                INTEGER,
                 snmpV3HostCommunityName     SnmpAdminString,
                 snmpV3HostVersion           INTEGER,
-                snmpV3HostStatus            RowStatus
-            }
-
+                snmpV3HostInterfaceName     OCTET STRING,
+                snmpV3HostStatus            RowStatus       
+            }    
+        
         snmpV3HostAddress OBJECT-TYPE
-               SYNTAX      IpAddress
+               SYNTAX      Ipv6Address
                MAX-ACCESS  read-only
                STATUS      current
                DESCRIPTION
                    "This object contains a transport address.  The format of
                     this address depends on the value of the
-                    snmpTargetAddrTDomain object. And this object is unique
+                    snmpTargetAddrTDomain object. And this object is unique 
                     identifier associated with this snmpNotifyEntry."
                ::= { snmpV3HostEntry 1 }
 
+        snmpV3IPType OBJECT-TYPE
+               SYNTAX    INTEGER {
+                      iPv4              (1),
+                      iPv6	            (2)
+                   }
+               MAX-ACCESS  read-only
+               STATUS      current
+               DESCRIPTION
+                   "Type of IP interface."
+               ::= { snmpV3HostEntry 2 }
+               
         snmpV3HostCommunityName OBJECT-TYPE
                SYNTAX      SnmpAdminString (SIZE(1..32))
                MAX-ACCESS  read-create
@@ -9150,9 +14539,8 @@
                STATUS      current
                DESCRIPTION
                    "The locally arbitrary."
-               ::= { snmpV3HostEntry 2 }
-
-
+               ::= { snmpV3HostEntry 3 } 
+        
         snmpV3HostVersion OBJECT-TYPE
                SYNTAX    INTEGER {
                       v1                (1),
@@ -9166,8 +14554,16 @@
                DESCRIPTION
                    "The Level of Security to be used when generating
                     SNMP messages using this entry."
-               ::= { snmpV3HostEntry 3 }
-
+               ::= { snmpV3HostEntry 4 }
+               
+        snmpV3HostInterfaceName OBJECT-TYPE
+               SYNTAX      OCTET STRING
+               MAX-ACCESS  read-create
+               STATUS      current
+               DESCRIPTION
+                   "Specifies the interface name when the syslogSrvIP is linklocal address."
+               ::= { snmpV3HostEntry 5 }
+        
         snmpV3HostStatus OBJECT-TYPE
                SYNTAX       RowStatus
                MAX-ACCESS   read-create
@@ -9174,7 +14570,7 @@
                STATUS       current
                DESCRIPTION
                 ""
-               ::= { snmpV3HostEntry 4 }
+               ::= { snmpV3HostEntry 6 }
 
       -- ----------------------------------------------------------------
       -- The snmpV3Trap group
@@ -9192,7 +14588,7 @@
                 event trap in the system."
             ::= { snmpV3Trap 1 }
 
-        snmpV3TrapBootup  OBJECT-TYPE
+        snmpV3TrapColdStart  OBJECT-TYPE
             SYNTAX INTEGER  {
         		 enabled(1),
         		 disabled(2)
